Subject: bug#14166: 24.3.50; report-emacs-bug and mail-user-agent == 'gnus-user-agent

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 12 Apr 2013 10:53:40 +0900

Wolfgang Jenkner wrote:
> On Thu, Apr 11 2013, Stefan Monnier wrote:
>> more to the point: we start with a call to Gnus's `composefunc' with an
>> explicit "to" address (with value report-emacs-bug-address).  And we end
>> with a message that uses a different "to" address.  So the problem seems
>> to be on Gnus's side only.

> The Gnus callee behaves as documented, so you'd normally expect the
> caller to put up with it.  Personally, though, I don't think there's
> a bug here at all, just an example of legitimate foot-shooting ;-)

Thanks for your help.  I'd like to fix this problem in this manner:

Background:
  The composefunc of `gnus-user-agent' is `gnus-msg-mail', that is
called by not only `compose-mail' but also some Gnus internals.
  A posting style corresponding to a currently opened group is
applied when running `gnus-msg-mail'.  No problem if it is used
within Gnus.  However, the posting style may get meaningless or
harmful if it is called outside of Gnus.  This suggests that every
user will be able to be a foot-shooter.

・Rename `gnus-msg-mail' to `gnus-msg-mail-1'.
・Create `gnus-msg-mail' that calls `gnus-msg-mail-1' with `let'-
  binding of `gnus-newsgroup-name' to "gnus-user-agent".
・Use `gnus-msg-mail' for composefunc exclusively.  Make Gnus
  internals use `gnus-msg-mail-1' instead of `gnus-msg-mail'.
・A user who want to use a posting style even when `compose-mail'
  is used may add it for the group named "gnus-user-agent".

Those changes will be done within Gnus.  Any other suggestion is
welcome.  My only anxiety is such a pseudo group name.

Regards,

P.S. I'm not a posting style user.